%define name kssh
%define version 0.7
%define release %mkrel 3
%define __libtoolize /bin/true
%define __cputoolize /bin/true



Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Networking/Remote access          
Summary:        KSSH is a ssh/openssh frontend for KDE
URL:            http://kssh.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source10:       %name-16.png
Source11:       %name-32.png
Source12:       %name-48.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Requires:       openssh
BuildRequires:  kdelibs-devel

%description
KSSH is a ssh/openssh frontend for KDE.
You can use it as a stand alone application
 (to launch ssh sessions) or as a Konsole session.
KSSH remember the options you use to connect to a given user@host. 
It supports all the openssh options.

%prep

%setup -q -n %{name}-%{version}

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure --disable-rpath --with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}
mkdir -p %buildroot/%_datadir/applnk/Utilities/

%{makeinstall_std}
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
cp -f %{buildroot}/%{_datadir}/applnk/Internet/%{name}.desktop %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "Internet/Remote Access" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

%find_lang %name

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache locolor
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache locolor
%clean_icon_cache hicolor
%endif

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%_datadir/applnk/Internet/%{name}.desktop
%_datadir/apps/konsole/%{name}.desktop
%_datadir/applnk/Utilities/%{name}.desktop
%_iconsdir/locolor/*/*/%{name}.png
%_iconsdir/hicolor/*/*/%{name}.png
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_docdir/HTML/*/%{name}/*



%changelog
* Mon Jul 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-3mdv2007.0
- Rebuild for new menu and extension
- Use macros for icons

* Sat May 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.7-2mdk
- Rebuild for new gcc 
- Use %mkrel
- Fix url

* Sat Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 0.7-1mdk
- First release
